import { IgrSplineSeriesBase, IIgrSplineSeriesBaseProps } from "./igr-spline-series-base";
import { SplineSeries } from "./SplineSeries";
/**
 * Represents a IgxDataChartComponent spline series.
*
* ````html
* <igx-data-chart
*     [dataSource]="data">
*     <igx-category-x-axis
*         label="label"
*         #xAxis>
*     </igx-category-x-axis>
*     <igx-numeric-y-axis
*         #yAxis>
*     </igx-numeric-y-axis>
*     <igx-spline-series
*         [xAxis]="xAxis"
*         [yAxis]="yAxis"
*         valueMemberPath="value">
*     </igx-spline-series>
* </igx-data-chart>
* ``
*
*
*
* ```tsx
*  <IgrDataChart
*     dataSource={this.state.dataSource} >
*
*     <IgrNumericXAxis name="xAxis" />
*     <IgrNumericYAxis name="yAxis" />
*
*     <IgrSplineSeries
*      name="series1"
*     xAxisName="xAxis"
* 	yAxisName="yAxis"
* 	valueMemberPath="Value"
* />
*  </IgrDataChart>
* ````
*/
export declare class IgrSplineSeries extends IgrSplineSeriesBase<IIgrSplineSeriesProps> {
    protected createImplementation(): SplineSeries;
    readonly i: SplineSeries;
    constructor(props: IIgrSplineSeriesProps);
}
export interface IIgrSplineSeriesProps extends IIgrSplineSeriesBaseProps {
}
