import { IgrHorizontalAnchoredCategorySeries, IIgrHorizontalAnchoredCategorySeriesProps } from "./igr-horizontal-anchored-category-series";
import { StepAreaSeries } from "./StepAreaSeries";
/**
 * Represents a IgxDataChartComponent step area series.
*
* ```ts
* <IgrDataChart
*     dataSource={this.state.dataSource}
*     width="700px"
*     height="500px">
*
*     <IgrCategoryXAxis name="xAxis" label="Year" />
*     <IgrNumericYAxis  name="yAxis" />
*
*     <IgrStepAreaSeries
*         name="series1"
*         xAxisName="xAxis"
*         yAxisName="yAxis"
* 		valueMemberPath="value" />
*  </IgrDataChart>
* ```
*/
export declare class IgrStepAreaSeries extends IgrHorizontalAnchoredCategorySeries<IIgrStepAreaSeriesProps> {
    protected createImplementation(): StepAreaSeries;
    readonly i: StepAreaSeries;
    constructor(props: IIgrStepAreaSeriesProps);
    /**
     * Gets whether the current series shows an area or line shape.
    */
    readonly isAreaOrLine: boolean;
}
export interface IIgrStepAreaSeriesProps extends IIgrHorizontalAnchoredCategorySeriesProps {
}
