import * as tslib_1 from "tslib";
import { IgrSplineSeriesBase } from "./igr-spline-series-base";
import { SplineSeries } from "./SplineSeries";
/**
 * Represents a IgxDataChartComponent spline series.
*
* ````html
* <igx-data-chart
*     [dataSource]="data">
*     <igx-category-x-axis
*         label="label"
*         #xAxis>
*     </igx-category-x-axis>
*     <igx-numeric-y-axis
*         #yAxis>
*     </igx-numeric-y-axis>
*     <igx-spline-series
*         [xAxis]="xAxis"
*         [yAxis]="yAxis"
*         valueMemberPath="value">
*     </igx-spline-series>
* </igx-data-chart>
* ``
*
*
*
* ```tsx
*  <IgrDataChart
*     dataSource={this.state.dataSource} >
*
*     <IgrNumericXAxis name="xAxis" />
*     <IgrNumericYAxis name="yAxis" />
*
*     <IgrSplineSeries
*      name="series1"
*     xAxisName="xAxis"
* 	yAxisName="yAxis"
* 	valueMemberPath="Value"
* />
*  </IgrDataChart>
* ````
*/
var IgrSplineSeries = /** @class */ (function (_super) {
    tslib_1.__extends(IgrSplineSeries, _super);
    function IgrSplineSeries(props) {
        return _super.call(this, props) || this;
    }
    IgrSplineSeries.prototype.createImplementation = function () {
        return new SplineSeries();
    };
    Object.defineProperty(IgrSplineSeries.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrSplineSeries;
}(IgrSplineSeriesBase));
export { IgrSplineSeries };
